summaryrefslogtreecommitdiff
path: root/dev-python/autobahn
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-03-01 00:37:58 +0000
commit8ddb1a3d1229412a438971f82d37d518a0223726 (patch)
tree83438b5ddb9d23a390f1a3fc505303d3d2223bf2 /dev-python/autobahn
parent9acab46e1a820daece7b2e631485c157ce2210ad (diff)
downloadbaldeagleos-repo-21.1.5.tar.gz
baldeagleos-repo-21.1.5.tar.xz
baldeagleos-repo-21.1.5.zip
Adding metadatav21.1.5
Diffstat (limited to 'dev-python/autobahn')
-rw-r--r--dev-python/autobahn/Manifest2
-rw-r--r--dev-python/autobahn/autobahn-21.2.1.ebuild103
-rw-r--r--dev-python/autobahn/autobahn-21.2.2.ebuild108
-rw-r--r--dev-python/autobahn/metadata.xml37
4 files changed, 232 insertions, 18 deletions
diff --git a/dev-python/autobahn/Manifest b/dev-python/autobahn/Manifest
index baa5258fdfd4..80a13018f416 100644
--- a/dev-python/autobahn/Manifest
+++ b/dev-python/autobahn/Manifest
@@ -2,3 +2,5 @@ DIST autobahn-20.12.2.tar.gz 1269167 BLAKE2B f6ea51682c13690002796f2a45bd11fc2f8
DIST autobahn-20.12.3.tar.gz 1268873 BLAKE2B 44dcaf9d19af89382dfdef9f40a0177486298d451697b973c7a65b44c71c764295afd01ac6333b7a8c5be0348713f38c36884564e148b2941bb42372f07d0e89 SHA512 ad77e476e2eab0039c0a2c98d5851d6237fa7f6a5dfd6b79bd88668dc498bf1b47bb1bcc26ff16e4087cc82aefb0082c8a74afc68b01be48c6140f3aa4ded5b3
DIST autobahn-20.7.1.tar.gz 1260579 BLAKE2B 925d148836348c068d179d4871267bf79c8c42d27cacc6be09cca11396dbd213a5b86344142df886d4ff69d1214a86b49900ca3552bcdb640377cb0d6af7d0f0 SHA512 e2c241194da90ada86a2804683cb063320f75a69b76ddc016349c11614e7f298619c2eeba4fcccb8f8d65d84375681fb339d9f92f94f45f1015f4f12fa0c39b0
DIST autobahn-21.1.1.tar.gz 1269122 BLAKE2B 6eb8eb22d0f09a4e8d409220ee2dff60a42a4e81acee789e8f9d98649ada24174295b98936f5e0a0a211fddd6d124975aef152679fcfde7b3dca7f18dcba5b62 SHA512 8e56e8a9213e356ea4288c6ed6ba4d6e8a26f5e1f670cfc067d1e11ef4d989b4e3d33a5cac49a635e18f9d45da1d42cb1300de96afdf77898441330e3f489194
+DIST autobahn-21.2.1.tar.gz 343966 BLAKE2B 8ee40610599aad6b0e6832beb867ff7515192e9a896d4f1e1b2c731fb81c899bf530f24d28e52faa91779affb1ed93b9b79b606b1ac7d3ed26a272dfcf6a0afc SHA512 21760aeac80c1e958a338da31d405af2f37c803944032270329dde4b59e6a9f914e9a7e4ae0ae6ae5b699ddc61f0c2f6b89cb0d6d4fdc3b1b58f204d4e94a980
+DIST autobahn-21.2.2.tar.gz 350799 BLAKE2B 06c5f7517083853bcf2e4c982151caadae2c5c0c547f543f310497addda14ff6262adaf876dcd5ce25ab48fd8b9b9c816ff74f518f3aedc65627ee3390db514b SHA512 6dbad05437c92622709c140fd949706c8fbff62477cf9fa5a8bbcb8c5410661b660d548902ebec55b5a8d744cce12c9a229bceeb3d5e7e5dc4e50cb09f7e7ab7
diff --git a/dev-python/autobahn/autobahn-21.2.1.ebuild b/dev-python/autobahn/autobahn-21.2.1.ebuild
new file mode 100644
index 000000000000..b8e4aebd0e1d
--- /dev/null
+++ b/dev-python/autobahn/autobahn-21.2.1.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_P=${PN}-$(ver_rs 3 -)
+
+DESCRIPTION="WebSocket and WAMP for Twisted and Asyncio"
+HOMEPAGE="https://pypi.org/project/autobahn/
+ https://crossbar.io/autobahn/
+ https://github.com/crossbario/autobahn-python"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="crypt scram test xbr"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/cbor-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/cbor2-5.1.0[${PYTHON_USEDEP}]
+ >=dev-python/cryptography-2.9.2[${PYTHON_USEDEP}]
+ >=dev-python/flatbuffers-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/hyperlink-20.0.1[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-0.6.1[${PYTHON_USEDEP}]
+ >=dev-python/py-ubjson-0.8.4[${PYTHON_USEDEP}]
+ >=dev-python/snappy-0.5[${PYTHON_USEDEP}]
+ >=dev-python/twisted-20.3.0[${PYTHON_USEDEP}]
+ >=dev-python/txaio-20.4.1[${PYTHON_USEDEP}]
+ >=dev-python/ujson-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/wsaccel-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/zope-interface-3.6[${PYTHON_USEDEP}]
+ crypt? (
+ >=dev-python/pyopenssl-16.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
+ >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ )
+ scram? (
+ dev-python/cffi[${PYTHON_USEDEP}]
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/passlib[${PYTHON_USEDEP}]
+ )
+ "
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
+ >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ if use xbr ; then
+ eerror "***************"
+ eerror "Required xbr dependencies are incomplete in Gentoo."
+ eerror "So this functionality will not yet work"
+ eerror "Please file a bug if this feature is needed"
+ eerror "***************"
+ else
+ # remove xbr components
+ export AUTOBAHN_STRIP_XBR="True"
+ fi
+ # remove twisted plugin cache regen in setup.py
+ # to fix tinderbox sandbox issue
+ sed -e 's/# regenerate Twisted plugin cache/# DO NOT regenerate Twisted plugin cache in Gentoo\nexit()/' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ einfo "Testing all, cryptosign using twisted"
+ local -x USE_TWISTED=true
+ cd "${BUILD_DIR}"/lib || die
+ "${EPYTHON}" -m twisted.trial autobahn || die
+ unset USE_TWISTED
+ einfo "RE-testing cryptosign and component_aio using asyncio"
+ local -x USE_ASYNCIO=true
+ pytest -vv autobahn/wamp/test/test_wamp_cryptosign.py || die
+ pytest -vv autobahn/wamp/test/test_wamp_component_aio.py || die
+ unset USE_ASYNCIO
+ rm -r .pytest_cache || die
+}
+
+pkg_postinst() {
+ python_foreach_impl twisted-regen-cache || die
+}
+
+pkg_postrm() {
+ python_foreach_impl twisted-regen-cache || die
+}
diff --git a/dev-python/autobahn/autobahn-21.2.2.ebuild b/dev-python/autobahn/autobahn-21.2.2.ebuild
new file mode 100644
index 000000000000..bb3206ea5902
--- /dev/null
+++ b/dev-python/autobahn/autobahn-21.2.2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+MY_P=${PN}-$(ver_rs 3 -)
+
+DESCRIPTION="WebSocket and WAMP for Twisted and Asyncio"
+HOMEPAGE="https://pypi.org/project/autobahn/
+ https://crossbar.io/autobahn/
+ https://github.com/crossbario/autobahn-python"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="crypt scram test xbr"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/cbor-1.0.0[${PYTHON_USEDEP}]
+ >=dev-python/cbor2-5.2.0[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ >=dev-python/flatbuffers-1.10.0[${PYTHON_USEDEP}]
+ >=dev-python/hyperlink-21.0.0[${PYTHON_USEDEP}]
+ >=dev-python/msgpack-0.6.1[${PYTHON_USEDEP}]
+ >=dev-python/py-ubjson-0.8.4[${PYTHON_USEDEP}]
+ >=dev-python/snappy-0.5[${PYTHON_USEDEP}]
+ >=dev-python/twisted-20.3.0[${PYTHON_USEDEP}]
+ >=dev-python/txaio-21.2.1[${PYTHON_USEDEP}]
+ >=dev-python/ujson-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/wsaccel-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/zope-interface-3.6[${PYTHON_USEDEP}]
+ crypt? (
+ >=dev-python/pyopenssl-16.2.0[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
+ >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
+ >=dev-python/service_identity-18.1.0[${PYTHON_USEDEP}]
+ )
+ scram? (
+ dev-python/cffi[${PYTHON_USEDEP}]
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/passlib[${PYTHON_USEDEP}]
+ )
+ "
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ >=dev-python/pynacl-1.0.1[${PYTHON_USEDEP}]
+ >=dev-python/pytrie-0.2[${PYTHON_USEDEP}]
+ >=dev-python/pyqrcode-1.1.0[${PYTHON_USEDEP}]
+ )"
+
+python_prepare_all() {
+ if use xbr ; then
+ eerror "***************"
+ eerror "Required xbr dependencies are incomplete in Gentoo."
+ eerror "So this functionality will not yet work"
+ eerror "Please file a bug if this feature is needed"
+ eerror "***************"
+ else
+ # remove xbr components
+ export AUTOBAHN_STRIP_XBR="True"
+ fi
+
+ # avoid useless rust dependency
+ sed -i -e '/cryptography/s:>=3.4.6::' setup.py || die
+
+ # remove twisted plugin cache regen in setup.py
+ # to fix tinderbox sandbox issue
+ sed -e 's/# regenerate Twisted plugin cache/# DO NOT regenerate Twisted plugin cache in Gentoo\nexit()/' \
+ -i setup.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ einfo "Testing all, cryptosign using twisted"
+ local -x USE_TWISTED=true
+ cd "${BUILD_DIR}"/lib || die
+ "${EPYTHON}" -m twisted.trial autobahn || die
+ unset USE_TWISTED
+ einfo "RE-testing cryptosign and component_aio using asyncio"
+ local -x USE_ASYNCIO=true
+ pytest -vv autobahn/wamp/test/test_wamp_cryptosign.py || die
+ pytest -vv autobahn/wamp/test/test_wamp_component_aio.py || die
+ unset USE_ASYNCIO
+ rm -r .pytest_cache || die
+ rm -f "${BUILD_DIR}"/lib/twisted/plugins/dropin.cache || die
+}
+
+pkg_postinst() {
+ python_foreach_impl twisted-regen-cache || die
+}
+
+pkg_postrm() {
+ python_foreach_impl twisted-regen-cache || die
+}
diff --git a/dev-python/autobahn/metadata.xml b/dev-python/autobahn/metadata.xml
index f367c1f98264..9bc598edcda2 100644
--- a/dev-python/autobahn/metadata.xml
+++ b/dev-python/autobahn/metadata.xml
@@ -1,20 +1,21 @@
<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="person">
- <email>dolsen@gentoo.org</email>
- <name>Brian Dolbec</name>
- </maintainer>
- <maintainer type="project">
- <email>python@gentoo.org</email>
- <name>Python</name>
- </maintainer>
- <use>
- <flag name="scram">Add support for WAMP-SCRAM authentication</flag>
- <flag name="xbr">Add support for XBR decentralized data markets and etherium blockchain</flag>
- </use>
- <upstream>
- <remote-id type="pypi">autobahn</remote-id>
- <remote-id type="github">crossbario/autobahn-python</remote-id>
- </upstream>
-</pkgmetadata>
+ <maintainer type="person">
+ <email>dolsen@gentoo.org</email>
+ <name>Brian Dolbec</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="pypi">autobahn</remote-id>
+ <remote-id type="github">crossbario/autobahn-python</remote-id>
+ </upstream>
+ <use>
+ <flag name="scram">Add support for WAMP-SCRAM authentication</flag>
+ <flag name="xbr">Add support for XBR decentralized data markets and etherium blockchain</flag>
+ </use>
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file